import Vue from 'vue'

import ElementUI from 'element-ui';
import '../theme/index.css'
// import 'element-ui/lib/theme-chalk/index.css';
import App from './App.vue'
import router from './router'
import store from './store'
import vueModuleLoader from 'vue-module-loader'
import localModule from './module'
import './assets/css/reset.scss'

import echarts from "echarts";


// /* 按需导入 */
// import echarts from 'echarts/lib/echarts'
//  // 引入折线图/柱状图等组件
// import 'echarts/lib/chart/line'
// import 'echarts/lib/chart/bar'
// import 'echarts/lib/component/title'
// import 'echarts/lib/component/toolbox'
// import 'echarts/lib/component/markPoint' // 最值
// import 'echarts/lib/component/markLine' // 平均值
// import 'echarts/lib/component/legendScroll'

Vue.prototype.$echarts = echarts



Vue.use(vueModuleLoader, { store }).use(ElementUI);
/* 
Element-UI用到的图标 
import {
  Menu,
  Submenu,
  MenuItem,
  MenuItemGroup,
  Input,
  Button,
  ButtonGroup,
  Form,
  FormItem,
  Icon,
  Row,
  Col,
  Select,
  Option
} from 'element-ui';
*/

const app = new Vue({
  router,
  store,
  render: h => h(App)
})

app.$moduleLoader(localModule)
app.$mount('#app')
